%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-promise
Version:    8.1.0
Release:    %mkrel 4
Summary:    Bare bones Promises/A+ implementation for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/then/promise
Source0:    https://registry.npmjs.org/promise/-/promise-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(asap)
BuildRequires:  npm(better-assert)
BuildRequires:  npm(promises-aplus-tests)
%endif

%description
This is a bare bones Promises/A+ implementation for Node.js. It is designed
to get the basics spot on correct, so that you can build extended promise
implementations on top of it.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%nodejs_fixdep asap "^2.0.3"

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/promise
cp -pr package.json *.js lib/ domains/ setimmediate/ \
    %{buildroot}%{nodejs_sitelib}/promise

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec --timeout 200 --slow 99999
%endif


%files
%doc LICENSE Readme.md
%{nodejs_sitelib}/promise




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 8.1.0-4.mga10
+ Revision: 2209396
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 8.1.0-3.mga9
+ Revision: 1820136
- Mageia 9 Mass Rebuild

* Sat Jun 13 2020 joequant <joequant> 8.1.0-2.mga8
+ Revision: 1593234
- add missing files

* Fri May 08 2020 joequant <joequant> 8.1.0-1.mga8
+ Revision: 1581688
- update to 8.1.0

* Mon May 04 2020 joequant <joequant> 4.0.0-5.mga8
+ Revision: 1580119
- redo deps

* Mon Feb 17 2020 umeabot <umeabot> 4.0.0-4.mga8
+ Revision: 1537227
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 4.0.0-3.mga8
+ Revision: 1265165
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 4.0.0-2.mga6
+ Revision: 950431
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 tv <tv> 4.0.0-1.mga5
+ Revision: 794325
- imported package nodejs-promise


* Wed Oct 29 2014 Thierry Vignaud <tv@mageia.org> 4.0.0-1.mga5
- import from FC

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 4.0.0-1
- initial package
